<?php

/**
 * TeraHost - Joomla Template
 *
 * @package bt_terahost
 * @version 1.1
 * @copyright BonusThemes.com 2008-2009
 * @link http://www.bonusthemes.com/goto/bt_terahost
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . '/template.inc.php');
global $tpl;

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

if ($tpl->show_menu)
	$cmenu_js .= '
<script type="text/javascript">
// <![CDATA[
document["cmenu_items"] = new Array();
' . $tpl->menu_js . '
// ]]>
</script>

';

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="' . $this->language . '" lang="' . $this->language . '" >
<head>

<jdoc:include type="head" />

<link href="' . $tpl->path . '/css/layout.css" rel="stylesheet" type="text/css" />
<link href="' . $tpl->path . '/css/template.css" rel="stylesheet" type="text/css" />
' . $cmenu_css . '

<style type="text/css">
#wrapper { width: ' . $tpl->width . 'px; }
.inner { width: ' . $tpl->inner_width . 'px; }
.inner_cnt { width: ' . $tpl->inner_content_width . 'px; }
.search input.button { top: 6px; }
</style>

<!--[if IE]>
<style type="text/css">
.search input.button { top: 3px; }
</style>
<![endif]-->

<!--[if lt IE 7]>
<link href="' . $tpl->path . '/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = "' . $tpl->path . '/images/blank.gif";
</script>
<style type="text/css">
.pngfix { behavior: url(' . $tpl->path . '/js/iepngfix.htc); }
.pngfix_static { behavior: url(' . $tpl->path . '/js/iepngfix_static.htc); }
</style>
<![endif]-->

' . $cmenu_js . '

<script type="text/javascript" src="' . $tpl->path . '/js/template.js"></script>
<script type="text/javascript" src="' . $tpl->path . '/js/ddpanel.js"></script>

';

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp)
	echo
'<div style="display:none">
' . $tpl->get_mainbody_pragma() . '
</div>
';

echo '
<div id="wrapper">
	<div id="r1_over"></div>
	<div id="r1" class="inner">
';

if ($tpl->show_menu) {
	echo '
		<div id="cmenu"><table cellspacing="0" cellpadding="0" width="100%"><tr>
';

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];

		if ($i > 0)
			echo '
			<td class="tdgap"></td>
';

		printf('
			<td class="cmenu_hd_%1$s_left"></td>
			<td class="cmenu_hd_%1$s_body" id="%2$s">%3$s</td>
			<td class="cmenu_hd_%1$s_%4$s"></td>
',
			$mi->selection == 0 ? 'norm' : 'sel',
			$mi->head_id,
			$mi->full_link,
			empty($mi->sub_menu_items) ? 'right' : 'menu'
		);
	}

	echo '
		</tr></table></div>
';
}
else {
	echo $tpl->get_position('header');
}

echo '
	</div>
	<div id="r1_under"></div>
	<div id="r2_r3"><div id="r2_r3_edge_l"><div id="r2_r3_edge_r">
		<div id="r2_tc" class="inner"><div id="r2_tl"><div id="r2_tr"></div></div></div>
		<div id="r2" class="inner"><div class="inner_cnt">
' . $tpl->get_positions(array('banner1', 'banner2', 'banner3', 'banner4')) . '
		</div></div>
		<div id="r3" class="inner"><div class="inner_cnt">
' . $tpl->get_positions(array('upper1', 'upper2', 'upper3', 'upper4')) . '
		</div></div>
	</div></div></div>

	<div id="spacer1"></div>

	<div id="r4_r5_r6_edge_l"><div id="r4_r5_r6_edge_r">
		<div id="r4" class="inner"><div id="r4_l"><div id="r4_r">
';

if ($tpl->modcount('breadcrumb'))
	echo '
			<div id="pathway" class="inner_cnt">
				<a href="' . $tpl->get_home() . '" onfocus="blur()"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.gif" alt="Home" border="0" /></a>
				<span id="pathway_notice">' . $tpl->str('You are here:') . '</span>
' . $tpl->get_pathway() . '
			</div>
';

echo '
		</div></div></div>
		<div id="r5" class="inner"><div class="inner_cnt">
			<div id="spacer2"></div>
';

$left = $tpl->modcount('left') || $tpl->modcount('left1') || $tpl->modcount('left2') || $tpl->modcount('left3') || $tpl->modcount('left4') || $tpl->modcount('left_bottom');
$right = $tpl->modcount('right') || $tpl->modcount('right1') || $tpl->modcount('right2') || $tpl->modcount('right3') || $tpl->modcount('right4') || $tpl->modcount('right_bottom');

if ($left || $right)
	echo '
<table cellspacing="0" cellpadding="0" width="100%"><tr>
';

if ($left)
	echo '
	<td valign="top">
' . $tpl->get_positions(array('left'), 'spacer3')
. $tpl->get_positions(array('left1', 'left2'), 'spacer4')
. $tpl->get_positions(array('left3', 'left4'), 'spacer5')
. $tpl->get_positions(array('left_bottom'), 'spacer6') . '
	</td>
	<td id="splitter_left"></td>
';

if ($left || $right)
	echo '
	<td valign="top">
';

echo $tpl->get_positions(array('newsflash1', 'newsflash2', 'newsflash3'), 'spacer7')
. $tpl->get_mainbody_wrapper() . '
		<div id="spacer14"></div>
' . $tpl->get_positions(array('ad1', 'ad2', 'ad3'), 'spacer8', false);

if ($left || $right)
	echo '
	</td>
';

if ($right)
	echo '
	<td id="splitter_right"></td>
	<td valign="top">
' . 	$tpl->get_positions(array('right'), 'spacer9')
. $tpl->get_positions(array('right1', 'right2'), 'spacer10')
. $tpl->get_positions(array('right3', 'right4'), 'spacer11')
. $tpl->get_positions(array('right_bottom'), 'spacer12') . '
	</td>
';

if ($left || $right)
	echo '
</tr></table>
';

echo '
		</div></div>
';

if ($tpl->modcount('bottom1') || $tpl->modcount('bottom2') || $tpl->modcount('bottom3') || $tpl->modcount('bottom4'))
	echo '
		<div id="r6" class="inner">
			<div id="r6_l"></div>
			<div id="r6_r"></div>
			<div class="inner_cnt">
				<div id="spacer13"></div>
' . $tpl->get_positions(array('bottom1', 'bottom2', 'bottom3', 'bottom4')) . '
			</div>
			<div class="clearfix"></div>
		</div>
	
		<div id="r6_b" class="inner"><div id="r6_bl"><div id="r6_br"></div></div></div>
';


echo '
	<div id="r7_over"></div>
	<div id="r7" class="inner">
		<table cellspacing="0" cellpadding="0" width="100%"><tr>
';

$first_gap = false;
if ($tpl->lshow) {
	echo '
			<td><a id="lshow" href="http://joomfans.com" onfocus="blur()" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" alt="" border="0" /></a></td>
';
	$first_gap = true;
}

foreach (array('footer1', 'footer2', 'footer3', 'footer4') as $position_name) {
	if ($tpl->modcount($position_name)) {
		if ($first_gap) {
			echo '
			<td class="tdgap"></td>
';
			$first_gap = false;
		}

		echo '
			<td valign="top"' . $tpl->td_width($position_name) . '>
' . $tpl->get_position($position_name, true, true) . '
			</td>
			<td class="tdgap"></td>
';
	}
}

echo '
			<td align="right"><a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a></td>
		</tr></table>
	</div>
	<div id="r7_under"></div>
	</div></div>
</div>
';

if ($tpl->seocp)
	echo '
<script type="text/javascript">
// <![CDATA[

// position mainbody
document.getElementById("mainbody_area").appendChild(document.getElementById("mainbody"));

// ]]>
</script>

';

foreach (array('ddp1', 'aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	echo $tpl->get_hidden_position($position);

echo $tpl->get_debug();

echo '
</body>
</html>
';

?>